import React, { Component, Fragment } from 'react';
import 'bootstrap/dist/css/bootstrap.css';
import '@fortawesome/react-fontawesome';
import '@fortawesome/free-solid-svg-icons/faSearch';

function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

var TableFilter = /*#__PURE__*/function (_Component) {
  _inheritsLoose(TableFilter, _Component);

  function TableFilter(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this.state = {
      search: ''
    };
    _this.onClose = _this.onClose.bind(_assertThisInitialized(_this));
    return _this;
  }

  var _proto = TableFilter.prototype;

  _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps, nextContext) {
    this.setState({
      search: nextProps.toChild.searchInput
    });
  };

  _proto.onClose = function onClose(e) {
    var _this2 = this;

    this.setState({
      search: "",
      is_search: this.state.is_search === 'active' ? '' : 'active'
    }, function () {
      _this2.props.clearSearch();
    });
  };

  _proto.render = function render() {
    var _this3 = this;

    return /*#__PURE__*/React.createElement("div", {
      className: "row d-flex h-100"
    }, /*#__PURE__*/React.createElement("div", {
      className: "col-4 justify-content-center align-self-center"
    }, /*#__PURE__*/React.createElement("select", {
      className: "form-control-sm form-control",
      onChange: this.props.changeRecordsPerPage.bind(this)
    }, /*#__PURE__*/React.createElement("option", {
      value: 10
    }, "10 records per page"), /*#__PURE__*/React.createElement("option", {
      value: 25
    }, "25 records per page"), /*#__PURE__*/React.createElement("option", {
      value: 50
    }, "50 records per page"), /*#__PURE__*/React.createElement("option", {
      value: 100
    }, "100 records per page"))), /*#__PURE__*/React.createElement("div", {
      className: "col-8 text-right padding_right justify-content-center align-self-center"
    }, /*#__PURE__*/React.createElement("div", {
      className: "text-right pull-left search-wrapper " + this.state.is_search
    }, /*#__PURE__*/React.createElement("div", {
      className: "input-holder"
    }, /*#__PURE__*/React.createElement("input", {
      type: "text",
      className: "search-input",
      placeholder: "Type to search",
      value: this.state.search,
      onChange: this.props.search.bind(this)
    }), /*#__PURE__*/React.createElement("button", {
      className: "search-icon",
      onClick: function onClick() {
        _this3.setState({
          is_search: 'active'
        });
      }
    }, /*#__PURE__*/React.createElement("span", null))), /*#__PURE__*/React.createElement("button", {
      className: "close",
      onClick: this.onClose.bind(this)
    }), /*#__PURE__*/React.createElement("br", null))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null));
  };

  return TableFilter;
}(Component);

var PagiNate = /*#__PURE__*/function (_Component) {
  _inheritsLoose(PagiNate, _Component);

  function PagiNate(props) {
    var _this;

    _this = _Component.call(this, props) || this;
    _this.state = {
      pageNate: [],
      skip: _this.props.skip,
      length: 0,
      take: _this.props.take,
      pageNo: 0
    };
    return _this;
  }

  var _proto = PagiNate.prototype;

  _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps, nextContext) {
    var _this2 = this;

    this.setState({
      pagiNate: nextProps.pageNate,
      length: nextProps.pageNate.length,
      skip: nextProps.skip,
      take: nextProps.take
    }, function () {
      _this2.setState({
        pageNo: _this2.state.skip / _this2.state.take + 1
      }, function () {});
    });
  };

  _proto.render = function render() {
    var _this3 = this;

    var space = /*#__PURE__*/React.createElement("li", {
      className: "page-item",
      key: "space"
    }, "\xA0", /*#__PURE__*/React.createElement("i", {
      "class": "fa fa-stop",
      "aria-hidden": "true",
      style: {
        fontSize: "6px",
        color: "#00164e"
      }
    }), "\xA0 \xA0", /*#__PURE__*/React.createElement("i", {
      "class": "fa fa-stop",
      "aria-hidden": "true",
      style: {
        fontSize: "6px",
        color: "#00164e"
      }
    }), "\xA0");
    var showingUpTo;

    if (this.state.skip + this.state.take >= this.props.totalTableData) {
      showingUpTo = this.props.totalTableData;
    } else {
      showingUpTo = this.state.skip + this.state.take;
    }

    return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("div", {
      className: "row"
    }, /*#__PURE__*/React.createElement("div", {
      className: "col-6"
    }, "Showing ", this.state.skip + 1, " to ", showingUpTo, " of ", this.props.totalTableData, " entries")), /*#__PURE__*/React.createElement("div", {
      className: "row"
    }, /*#__PURE__*/React.createElement("div", {
      className: "col-6 text-right justify-content-end"
    }, /*#__PURE__*/React.createElement("nav", {
      className: "",
      "aria-label": "Page navigation example text-right"
    }, /*#__PURE__*/React.createElement("ul", {
      className: "pagination"
    }, this.state.pageNo === 1 && /*#__PURE__*/React.createElement("li", {
      className: "page-item disabled"
    }, /*#__PURE__*/React.createElement("a", {
      href: "#.",
      className: "page-link",
      "aria-label": "Previous"
    }, /*#__PURE__*/React.createElement("span", {
      "aria-hidden": "true"
    }, "\xAB"), /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Previous"))), this.state.pageNo !== 1 && /*#__PURE__*/React.createElement("li", {
      className: "page-item"
    }, /*#__PURE__*/React.createElement("a", {
      href: "#.",
      onClick: this.props.paginateMethod.bind(this, this.state.skip - this.state.take),
      style: {
        color: "#00164E"
      },
      className: "page-link",
      "aria-label": "Previous"
    }, /*#__PURE__*/React.createElement("span", {
      "aria-hidden": "true"
    }, "\xAB"), /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Previous"))), this.props.pageNate.map(function (item, index) {
      if (_this3.state.length > 11) {
        if (_this3.state.pageNo < 5) {
          if (index + 1 <= 5) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, function () {
                if (index + 1 == 5) {
                  return /*#__PURE__*/React.createElement(Fragment, null, space);
                }
              }, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)), index + 1 === 5 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)), index + 1 === 5 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."));
            }
          }

          if (index + 1 >= _this3.state.length - 4) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)));
            }
          }
        }

        if (_this3.state.pageNo >= 5 && _this3.state.pageNo < _this3.state.length - 3) {
          if (index + 1 <= 3) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1), index + 1 === 3 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "...")));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)), index + 1 === 3 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."));
            }
          }

          if (index + 1 >= 4 && index + 1 <= _this3.state.length - 3) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)));
            } else {
              if (_this3.state.pageNo - 1 === index + 1 || _this3.state.pageNo + 1 === index + 1) {
                return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                  className: "page-item",
                  key: index
                }, /*#__PURE__*/React.createElement("a", {
                  className: "page-link",
                  style: {
                    color: "#00164E"
                  },
                  href: "#.",
                  onClick: _this3.props.paginateMethod.bind(_this3, item)
                }, index + 1)));
              }
            }
          }

          if (index + 1 > _this3.state.length - 3) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, index + 1 === _this3.state.length - 2 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."), /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, index + 1 === _this3.state.length - 2 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."), /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)));
            }
          }
        }

        if (_this3.state.pageNo >= _this3.state.length - 3) {
          if (index + 1 <= 5) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)), index + 1 === 5 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)), index + 1 === 5 && /*#__PURE__*/React.createElement("li", {
                className: "page-item page-link",
                key: index + "a"
              }, "..."));
            }
          }

          if (index + 1 >= _this3.state.length - 4) {
            if (item === _this3.state.skip) {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item active",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  backgroundColor: "#00164E",
                  border: "0px #00164E"
                },
                href: "#."
              }, index + 1)));
            } else {
              return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
                className: "page-item",
                key: index
              }, /*#__PURE__*/React.createElement("a", {
                className: "page-link",
                style: {
                  color: "#00164E"
                },
                href: "#.",
                onClick: _this3.props.paginateMethod.bind(_this3, item)
              }, index + 1)));
            }
          }
        }
      } else {
        if (item === _this3.state.skip) {
          return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
            className: "page-item active",
            key: index
          }, /*#__PURE__*/React.createElement("a", {
            className: "page-link",
            style: {
              backgroundColor: "#00164E",
              border: "0px #00164E"
            },
            href: "#."
          }, index + 1)));
        } else {
          return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("li", {
            className: "page-item",
            key: index
          }, /*#__PURE__*/React.createElement("a", {
            className: "page-link",
            style: {
              color: "#00164E"
            },
            href: "#.",
            onClick: _this3.props.paginateMethod.bind(_this3, item)
          }, index + 1)));
        }
      }
    }), this.state.pageNo === this.state.length && /*#__PURE__*/React.createElement("li", {
      className: "page-item disabled"
    }, /*#__PURE__*/React.createElement("a", {
      href: "#.",
      className: "page-link",
      "aria-label": "Next"
    }, /*#__PURE__*/React.createElement("span", {
      "aria-hidden": "true"
    }, "\xBB"), /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Next"))), this.state.pageNo !== this.state.length && /*#__PURE__*/React.createElement("li", {
      className: "page-item"
    }, /*#__PURE__*/React.createElement("a", {
      href: "#.",
      onClick: this.props.paginateMethod.bind(this, this.state.take + this.state.skip),
      className: "page-link",
      style: {
        color: "#00164E"
      },
      "aria-label": "Next"
    }, /*#__PURE__*/React.createElement("span", {
      "aria-hidden": "true"
    }, "\xBB"), /*#__PURE__*/React.createElement("span", {
      className: "sr-only"
    }, "Next"))))))));
  };

  return PagiNate;
}(Component);

var ReactDataTable = /*#__PURE__*/function (_Component) {
  _inheritsLoose(ReactDataTable, _Component);

  function ReactDataTable(props) {
    var _this;

    _this = _Component.call(this, props) || this;

    _this.buttons = function (e) {};

    _this.state = {
      columns: [],
      apiData: [],
      pageNate: [],
      take: 10,
      skip: 0,
      searchInput: '',
      totalTableData: 0,
      sort_col: null,
      is_ascending: true,
      hidetable: true
    };
    _this.paginate = _this.paginate.bind(_assertThisInitialized(_this));
    _this.changeRecordsPerPage = _this.changeRecordsPerPage.bind(_assertThisInitialized(_this));
    _this.search = _this.search.bind(_assertThisInitialized(_this));
    _this.onAction = _this.onAction.bind(_assertThisInitialized(_this));
    _this.changeOrder = _this.changeOrder.bind(_assertThisInitialized(_this));
    _this.clearSearch = _this.clearSearch.bind(_assertThisInitialized(_this));
    _this.onChangeBlur = _this.onChangeBlur.bind(_assertThisInitialized(_this));
    return _this;
  }

  var _proto = ReactDataTable.prototype;

  _proto.componentDidMount = function componentDidMount() {
    var _this2 = this;

    this.setState({
      columns: this.props.dataTablesOptions.colums,
      apiData: this.props.dataTableData.data,
      pageNate: this.props.dataTableData.pageNate,
      totalTableData: this.props.dataTableData.totalTableData
    }, function () {
      _this2.props.dataTableOnChange(_this2.state);
    });
  };

  _proto.componentWillReceiveProps = function componentWillReceiveProps(nextProps) {
    var _this3 = this;

    this.setState({
      columns: nextProps.dataTablesOptions.colums,
      apiData: nextProps.dataTableData.data,
      pageNate: nextProps.dataTableData.pageNate,
      totalTableData: nextProps.dataTableData.totalTableData
    }, function () {
      setTimeout(function () {
        _this3.setState({
          hidetable: true
        });
      }, 3000);
    });
  };

  _proto.changeOrder = function changeOrder(col, e) {
    this.setState({
      sort_col: col,
      is_ascending: !this.state.is_ascending
    });
    this.props.dataTableOnChange(this.state);
  };

  _proto.paginate = function paginate(skip, e) {
    var _this4 = this;

    this.setState({
      skip: skip,
      hidetable: false
    }, function () {
      _this4.props.dataTableOnChange(_this4.state);
    });
  };

  _proto.changeRecordsPerPage = function changeRecordsPerPage(e) {
    var _this5 = this;

    this.setState({
      take: e.target.value
    }, function () {
      _this5.props.dataTableOnChange(_this5.state);
    });
  };

  _proto.search = function search(e) {
    var _this6 = this;

    this.setState({
      searchInput: e.target.value
    }, function () {
      _this6.props.dataTableOnChange(_this6.state);
    });
  };

  _proto.clearSearch = function clearSearch() {
    var _this7 = this;

    this.setState({
      searchInput: ""
    }, function () {
      _this7.props.dataTableOnChange(_this7.state);
    });
  };

  _proto.onAction = function onAction(e) {};

  _proto.onChangeBlur = function onChangeBlur(e) {
    var tempid = "temp-" + e.target.id;
    var tempvalue = e.target.value;
    this.setState({
      hidetable: false
    }, function () {
      document.getElementById(tempid).value = tempvalue;
    });
    this.props.dataTableOnChangeInputOnBlur(e.target.id, e.target.name, e.target.value);
  };

  _proto.render = function render() {
    var _this8 = this;

    return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(TableFilter, {
      onAction: this.onAction,
      search: this.search,
      clearSearch: this.clearSearch,
      searchInput: this.state.searchInput,
      changeRecordsPerPage: this.changeRecordsPerPage,
      filterId: this.state.filterId,
      tableOptions: this.props.dataTablesOptions.tableOptions,
      toChild: this.state
    }), /*#__PURE__*/React.createElement("div", {
      className: this.props.dataTablesOptions.tableOptions.tableContainerClassName
    }, /*#__PURE__*/React.createElement("table", {
      className: this.props.dataTablesOptions.tableOptions.className
    }, /*#__PURE__*/React.createElement("thead", null, /*#__PURE__*/React.createElement("tr", null, this.state.columns.map(function (item, index) {
      if (item.column_properties.allowSort === true) {
        return /*#__PURE__*/React.createElement("th", {
          width: item.column_properties.width,
          scope: "col",
          className: item.column_properties.freeze === true ? "freeze_col " + "col_" + item.column_properties.name : "col_" + item.column_properties.name,
          id: item.column_properties.name,
          key: index
        }, item.column_properties.title, "\xA0\xA0", /*#__PURE__*/React.createElement("a", {
          href: "#",
          onClick: _this8.changeOrder.bind(_this8, item.column_properties.name)
        }, /*#__PURE__*/React.createElement("i", {
          className: "fa fa-sort ",
          "aria-hidden": "true",
          style: {
            color: "#00164E"
          }
        })));
      } else {
        return /*#__PURE__*/React.createElement("th", {
          width: item.column_properties.width,
          scope: "col",
          className: item.column_properties.freeze === true ? "freeze_col " + "col_" + item.column_properties.name : "col_" + item.column_properties.name,
          key: index
        }, item.column_properties.title);
      }
    }))), /*#__PURE__*/React.createElement("tbody", null, this.state.apiData.map(function (item, index) {
      return /*#__PURE__*/React.createElement("tr", {
        key: index
      }, _this8.state.columns.map(function (cols, count) {
        for (var i = 0; i < Object.keys(item).length; i++) {
          if (cols.column_properties.name === Object.keys(item)[i]) {
            return /*#__PURE__*/React.createElement("td", {
              className: cols.column_properties.freeze ? "freeze_col " + cols.column_properties.name : cols.column_properties.name,
              id: cols.column_properties.name + "_" + index,
              key: index + i
            }, cols.fa_icon !== undefined && /*#__PURE__*/React.createElement(Fragment, null, cols.fa_icon.map(function (fa, fai) {
              if (fa.show === true) {

                if (fa.extra !== undefined) {
                  if (fa.extra.conditional == 'boolean') {
                    if (item[fa.extra.depend_from_this_field] === true) {
                      return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("i", {
                        className: fa.className,
                        onClick: _this8.props.dataTableBtnAction.bind(_this8, item[fa.passValue], fa.actionType),
                        "aria-hidden": "true",
                        style: {
                          cursor: 'pointer'
                        }
                      }));
                    }
                  }
                } else {
                  return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("i", {
                    className: fa.className,
                    onClick: _this8.props.dataTableBtnAction.bind(_this8, item[fa.passValue], fa.actionType),
                    "aria-hidden": "true",
                    style: {
                      cursor: 'pointer'
                    }
                  }));
                }
              }
            })), cols.text !== undefined && /*#__PURE__*/React.createElement(Fragment, null, cols.text.map(function (txt, txi) {
              if (txt.show === true) {
                return /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("span", {
                  className: txt.className + " " + txt.name,
                  id: txt.name + "-" + item.id
                }, item[txt.name], "\xA0"));
              }
            })), cols.button !== undefined && /*#__PURE__*/React.createElement(Fragment, null, cols.button.map(function (btn, i) {
              if (btn.show === true) {
                if (btn.extra !== undefined) {
                  if (item[btn.extra.depend_from_this_field] === true) {
                    return /*#__PURE__*/React.createElement(Fragment, null, "\xA0", /*#__PURE__*/React.createElement("button", {
                      type: "button",
                      event: item,
                      id: item.id,
                      name: cols.column_properties.name,
                      onClick: _this8.props.dataTableBtnAction.bind(_this8, item[btn.passValue], btn.actionType),
                      className: btn.className
                    }, /*#__PURE__*/React.createElement("i", {
                      className: btn.icon_class
                    }, " "), btn.title));
                  }
                } else {
                  return /*#__PURE__*/React.createElement(Fragment, null, "\xA0", /*#__PURE__*/React.createElement("button", {
                    type: "button",
                    event: item,
                    id: item.id,
                    name: cols.column_properties.name,
                    onClick: _this8.props.dataTableBtnAction.bind(_this8, item[btn.passValue], btn.actionType),
                    className: btn.className
                  }, /*#__PURE__*/React.createElement("i", {
                    className: btn.icon_class
                  }, " "), btn.title));
                }
              }
            })), cols.input !== undefined && /*#__PURE__*/React.createElement(Fragment, null, cols.input.map(function (input, data) {
              if (input.input_type === 'text') {
                if (input.extra !== undefined) {
                  if (item[input.extra.depend_from_this_field] === true) {
                    return /*#__PURE__*/React.createElement(Fragment, null, input.show === true && /*#__PURE__*/React.createElement("div", {
                      className: "input-group " + input.name
                    }, _this8.state.hidetable ? /*#__PURE__*/React.createElement("input", {
                      type: input.input_type,
                      name: input.name + "-" + item.id,
                      id: input.name + "-" + item.id,
                      key: input.input_type + "-" + input.name + "-" + item.id,
                      className: input.className,
                      onChange: _this8.props.dataTableOnChangeInput.bind(_this8),
                      defaultValue: item[input.name],
                      onBlur: _this8.props.dataTablesOptions.tableOptions.hasOnBlur === true ? _this8.onChangeBlur.bind(_this8) : ""
                    }) : /*#__PURE__*/React.createElement("input", {
                      type: input.input_type,
                      name: "temp-" + input.name + "-" + item.id,
                      id: "temp-" + input.name + "-" + item.id,
                      key: "temp-" + input.input_type + "-" + input.name + "-" + item.id,
                      className: input.className,
                      defaultValue: item[input.name],
                      disabled: true
                    })));
                  }
                } else {
                  return /*#__PURE__*/React.createElement(Fragment, null, input.show === true && /*#__PURE__*/React.createElement("div", {
                    className: "input-group " + input.name
                  }, _this8.state.hidetable ? /*#__PURE__*/React.createElement("input", {
                    type: input.input_type,
                    name: input.name + "-" + item.id,
                    id: input.name + "-" + item.id,
                    className: input.className,
                    onChange: _this8.props.dataTableOnChangeInput.bind(_this8),
                    defaultValue: item[input.name],
                    onBlur: _this8.props.dataTablesOptions.tableOptions.hasOnBlur === true ? _this8.onChangeBlur.bind(_this8) : ""
                  }) : /*#__PURE__*/React.createElement("input", {
                    type: input.input_type,
                    name: "temp-" + input.name + "-" + item.id,
                    id: "temp-" + input.name + "-" + item.id,
                    key: "temp-" + input.input_type + "-" + input.name + "-" + item.id,
                    className: input.className,
                    defaultValue: item[input.name],
                    disabled: true
                  })));
                }
              } else if (input.input_type === 'checkbox') {
                return /*#__PURE__*/React.createElement(Fragment, null, input.show === true && /*#__PURE__*/React.createElement(Fragment, null, _this8.state.hidetable ? /*#__PURE__*/React.createElement("input", {
                  type: input.input_type,
                  name: input.name,
                  id: item.id,
                  className: input.className,
                  onChange: _this8.props.dataTableOnChangeInput.bind(_this8),
                  defaultChecked: item.defaultChecked
                }) : /*#__PURE__*/React.createElement(Fragment, null, /*#__PURE__*/React.createElement("input", {
                  type: input.input_type,
                  name: input.name,
                  id: item.id,
                  className: input.className,
                  defaultChecked: false,
                  checked: false
                }))));
              } else if (input.input_type === 'radio') {
                return /*#__PURE__*/React.createElement(Fragment, null, input.show === true && /*#__PURE__*/React.createElement("input", {
                  type: input.input_type,
                  name: input.name,
                  id: item.id,
                  className: input.className,
                  onChange: _this8.props.dataTableOnChangeInput.bind(_this8),
                  defaultChecked: item.defaultChecked
                }));
              }
            })));
          }
        }
      }));
    })))), /*#__PURE__*/React.createElement(PagiNate, {
      paginateMethod: this.paginate,
      pageNate: this.state.pageNate,
      skip: this.state.skip,
      take: this.state.take,
      totalTableData: this.state.totalTableData
    }));
  };

  return ReactDataTable;
}(Component);

export default ReactDataTable;
//# sourceMappingURL=index.modern.js.map
